can't run Tora 2 in Ubuntu 9.04

Help
2009-08-07
2012-12-13
  • David Bussey
    David Bussey
    2009-08-07

    I installed and configured the Oracle 11g client, then downloaded and installed tora_2.0.0-1-intrepid-11g_i386.deb.  When I try to run it from the command line I get:

    tora: error while loading shared libraries: libqscintilla2.so.3: cannot open shared object file: No such file or directory

    It seems similar to the problem reported in https://sourceforge.net/forum/forum.php?thread_id=2906708&forum_id=52737 but I'm not able to resolve it.  I don't have a ~/.config/TOra/TOra.conf file and I have been unsuccessful at compiling.   To compile, I download tora-2.0.0.tar.gz and uncompressed it to /usr/src.  I then ran the following:

    ./configure --prefix=/usr --with-oracle-includes=/usr/lib/oracle/11.1.0.1/client --without-rpath --disable-new-check --with-kde --enable-libsuffix= --infodir=/usr/share/info

    After some time, I got this error:

    g++ -DHAVE_CONFIG_H -I. -I..  -I./otl -I../src/loki/include -I/usr/include/qt4 -I/usr/include/qt4/Qt -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtXml   -DDEFAULT_PLUGIN_DIR=\"/usr/lib\" -DTOVERSION=\"2.0.0\"    -I/usr/include/qscintilla   -g -O2 -fno-inline -O2 -MT tora-moc_toabout.o -MD -MP -MF .deps/tora-moc_toabout.Tpo -c -o tora-moc_toabout.o `test -f 'moc_toabout.cpp' || echo './'`moc_toabout.cpp
    moc_toabout.cpp:14:2: error: #error "This file was generated using the moc from 4.4.0. It"
    moc_toabout.cpp:15:2: error: #error "cannot be used with the include files from this version of Qt."
    moc_toabout.cpp:16:2: error: #error "(The moc has changed too much.)"
    make[3]: *** [tora-moc_toabout.o] Error 1
    make[3]: Leaving directory `/usr/src/tora-2.0.0/src'
    make[2]: *** [all] Error 2
    make[2]: Leaving directory `/usr/src/tora-2.0.0/src'
    make[1]: *** [all-recursive] Error 1
    make[1]: Leaving directory `/usr/src/tora-2.0.0'
    make: *** [all] Error 2

    Any help would be greatly appreciated. 

     
    • David Bussey
      David Bussey
      2009-08-07

      Oops, I misspoke.  The error happened when running make.  The config command completed but gave a warning.

      configure: WARNING: Unrecognized options: --without-rpath, --disable-new-check, --with-kde, --enable-libsuffix

       
    • Mike Johnson
      Mike Johnson
      2009-08-07

      Install the package libqscintilla2-dev.

      If you still want to compile from source, I'd recommend the svn trunk version.

       
      • David Bussey
        David Bussey
        2009-08-08

        Thanks for the fast response.  I already had libsqcintilla2-dev, but it's version 2.3.2 and doesn't include libqscintilla2.so.3.  I removed v2.3.2 and installed v2.2-4 - now Tora loads.